Skip to main content
PATCH
/
business_units
/
{public_id}
cURL
curl --request PATCH \
  --url https://sandbox.withclasp.com/business_units/{public_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "employer": "<string>",
  "public_id": "<string>",
  "legal_name": "<string>",
  "trade_name": "<string>",
  "federal_ein": "<string>",
  "is_primary": true,
  "phone_number": "<string>",
  "email": "<string>",
  "metadata": {}
}
'
import requests

url = "https://sandbox.withclasp.com/business_units/{public_id}"

payload = {
"employer": "<string>",
"public_id": "<string>",
"legal_name": "<string>",
"trade_name": "<string>",
"federal_ein": "<string>",
"is_primary": True,
"phone_number": "<string>",
"email": "<string>",
"metadata": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
employer: '<string>',
public_id: '<string>',
legal_name: '<string>',
trade_name: '<string>',
federal_ein: '<string>',
is_primary: true,
phone_number: '<string>',
email: '<string>',
metadata: {}
})
};

fetch('https://sandbox.withclasp.com/business_units/{public_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "<string>",
  "employer": "<string>",
  "legal_name": "<string>",
  "public_id": "<string>",
  "trade_name": "<string>",
  "federal_ein": "<string>",
  "is_primary": true,
  "address": {
    "line1": "<string>",
    "city": "<string>",
    "zip_code": "<string>",
    "line2": "<string>"
  },
  "phone_number": "<string>",
  "email": "<string>",
  "metadata": {}
}

Authorizations

Authorization
string
header
required

API Key authentication with required prefix "Bearer"

Path Parameters

public_id
string
required

Body

employer
string
public_id
string
Maximum string length: 30
Pattern: ^[-a-zA-Z0-9_]+$
Maximum string length: 255
trade_name
string | null
Maximum string length: 255
federal_ein
string | null
Maximum string length: 255
is_primary
boolean
address
object
phone_number
string | null
Maximum string length: 10
email
string | null
Maximum string length: 255
metadata
object

Up to 50 key-value pairs. Keys max 40 characters, values max 500 characters. Set a value to empty string to remove a key. On PATCH, metadata is merged with existing values.

Response

200 - application/json
id
string
required
read-only
Pattern: ^[-a-zA-Z0-9_]+$
employer
string
required
Maximum string length: 255
public_id
string
Maximum string length: 30
Pattern: ^[-a-zA-Z0-9_]+$
trade_name
string | null
Maximum string length: 255
federal_ein
string | null
Maximum string length: 255
is_primary
boolean
address
object
phone_number
string | null
Maximum string length: 10
email
string | null
Maximum string length: 255
metadata
object

Up to 50 key-value pairs. Keys max 40 characters, values max 500 characters. Set a value to empty string to remove a key. On PATCH, metadata is merged with existing values.